[Lucas Kanashiro] Bug#950729: notmuch: Fails to build against ruby2.7

classic Classic list List threaded Threaded
1 message Options
David Bremner-2 David Bremner-2
Reply | Threaded
Open this post in threaded view
|

[Lucas Kanashiro] Bug#950729: notmuch: Fails to build against ruby2.7

Source: notmuch
Version: 0.29.3-1
Severity: important

Dear Maintainer,

We are planning to start the ruby2.7 transition and your package failed
to build against ruby2.7. Check the full build log here:

https://people.debian.org/~kanashiro/ruby2.7/builds/5/notmuch/notmuch_0.29.3-1+rebuild1580865472_amd64-2020-02-05T01:17:54Z.build

For now, to reproduce the failure locally you need:

* experimental enabled
* ruby-all-dev binary package from experimental (>= 1:2.5.7~0)

For instance, you can use use the following sbuild command:

$ sbuild -d unstable --build-dep-resolver=aptitude
--extra-repository="deb http://deb.debian.org/debian experimental main"
--starting-build-commands="apt install -y ruby-all-dev/experimental"
--source-only-changes

ruby2.7 should be enabled as the default ruby soon in unstable.

--
Lucas Kanashiro



_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch

signature.asc (849 bytes) Download Attachment